#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
# @Version     : Python 3.11.4
# @Software    : Sublime Text 4
# @Author      : StudentCWZ
# @Email       : StudentCWZ@outlook.com
# @Date        : 2023/10/29 00:03
# @File        : user.py
# @Description :
"""

from application.dao import UserDao


class UserService:

    @classmethod
    def get_all_users(cls):
        return UserDao.get_all()

    @classmethod
    def get_user_by_id(cls, user_id: int):
        return UserDao.get_by_id(user_id)

    @classmethod
    def create_user(cls, username: str, password: str, email: str):
        return UserDao.create(username, password, email)
